aboutsummaryrefslogtreecommitdiffstats
path: root/main/duplicity/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-02-27 13:28:04 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2014-02-27 13:45:00 +0000
commitf0d1be6b177b0798852a44c5689c2658acfc9c7c (patch)
tree0956eaa3c0add0ea26843435f4dbceacf48acf20 /main/duplicity/APKBUILD
parent19dc85075620d75b9ad8de4ac6ef0ffa3bdbe6cb (diff)
downloadaports-f0d1be6b177b0798852a44c5689c2658acfc9c7c.tar.gz
aports-f0d1be6b177b0798852a44c5689c2658acfc9c7c.tar.bz2
aports-f0d1be6b177b0798852a44c5689c2658acfc9c7c.tar.xz
main/duplicity: upgrade to 0.6.23
Diffstat (limited to 'main/duplicity/APKBUILD')
-rw-r--r--main/duplicity/APKBUILD19
1 files changed, 12 insertions, 7 deletions
diff --git a/main/duplicity/APKBUILD b/main/duplicity/APKBUILD
index 59830add88..14709edaf4 100644
--- a/main/duplicity/APKBUILD
+++ b/main/duplicity/APKBUILD
@@ -1,13 +1,13 @@
# Contributor: Matt Smith <mcs@darkregion.net>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=duplicity
-pkgver=0.6.22
+pkgver=0.6.23
pkgrel=0
pkgdesc="Encrypted bandwidth-efficient backup using the rsync algorithm"
url="http://duplicity.nongnu.org/"
arch="all"
license="GPL"
-depends="python py-boto ncftp librsync gnupg"
+depends="python py-boto librsync gnupg ncftp"
makedepends="python-dev py-setuptools librsync-dev"
install=
subpackages="$pkgname-doc $pkgname-lang"
@@ -16,8 +16,13 @@ source="https://code.launchpad.net/$pkgname/${pkgver:0:3}-series/$pkgver/+downlo
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
- # apply patches here
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -30,6 +35,6 @@ package() {
python setup.py install --root "$pkgdir"
}
-md5sums="5b035359a6bb7b2f3f3b9829c6c071e1 duplicity-0.6.22.tar.gz"
-sha256sums="6f489b0445681f0697488f3d4097b4c56a7fe8a5fea5fadd2e431724039c5a12 duplicity-0.6.22.tar.gz"
-sha512sums="0fe838707c91e2933f0edc4b9258edd081a2e0b8ed0cd31bf229f08883b60ca9cb8d44f70b00632a926548d375417e3a5f9747a0c3eeef15bfa541a27062dfd5 duplicity-0.6.22.tar.gz"
+md5sums="ae0e84446bcf114735de1057ed53c977 duplicity-0.6.23.tar.gz"
+sha256sums="7a17f1e10395dedcf3204bc53925bb9dcbbf2a7552c9b096ebe727eceb9c0c60 duplicity-0.6.23.tar.gz"
+sha512sums="35c3facf9f44e117c74d880bef3f50c2f6a778fac31b38398934007befbe5dedb3f56ccdd592c231c0835baaba905ca942a889e0a1358c1b79570db08376385a duplicity-0.6.23.tar.gz"